For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • POSTCreate merchant application
            • POSTCreate multi-product boarding app
            • GETGet app by ID
            • GETGet multi-product boarding apps for paypoint
            • GETList all apps for org
            • PUTUpdate app
            • DELDelete application
            • POSTGet application via auth token
            • GETRetrieve application by link ID
            • GETGet boarding link by template ID
            • PUTGet or send boarding link
            • GETGet boarding link by reference
            • GETList all application links
            • GETExport applications
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBoardingBoarding apps

Get boarding link by template ID

|View as Markdown|Open in Claude|
GET
/Boarding/linkbyTemplate/:templateId
GET
/api/Boarding/linkbyTemplate/:templateId
$curl https://api-sandbox.payabli.com/api/Boarding/linkbyTemplate/80 \
> -H "requestToken: <apiKey>"
1{
2 "acceptOauth": false,
3 "acceptRegister": false,
4 "builderData": {
5 "attributes": {
6 "minimumDocuments": 1,
7 "multipleContacts": true,
8 "multipleOwners": true
9 }
10 },
11 "entryAttributes": "entryAttributes",
12 "id": 1000000,
13 "logo": {
14 "fContent": "TXkgdGVzdCBmaWxlHJ==...",
15 "filename": "my-doc.pdf",
16 "ftype": "pdf",
17 "furl": "https://mysite.com/my-doc.pdf"
18 },
19 "orgId": 123,
20 "pageIdentifier:": "null",
21 "recipientEmailNotification": true,
22 "referenceName": "payabli-00710",
23 "referenceTemplateId": 1830,
24 "resumable": false
25}
Get details for a boarding link using the boarding template ID. This endpoint requires an application API token.
Was this page helpful?
Previous

Retrieve application by link ID

Next

Get or send boarding link

Authentication

requestTokenstring
API Key authentication via header

Path parameters

templateIddoubleRequired

The boarding template ID. You can find this at the end of the boarding template URL in PartnerHub. Example: https://partner-sandbox.payabli.com/myorganization/boarding/edittemplate/80. Here, the template ID is 80.

Response

Success
acceptOauthboolean
acceptRegisterboolean
builderDataobject
entryAttributesstring
idlong
logoobject
Object containing logo file.
orgIdlong
Organization ID. Unique identifier assigned to an org by Payabli.
pageIdentifier:string
Auxiliary validation used internally by payment pages and components.
recipientEmailNotificationboolean

When true, Payabli will send the applicant a boarding link. Set this value to false if you are sending pre-filled applications via the API and don’t want Payabli to send the applicant an email to complete the boarding application.

referenceNamestring
referenceTemplateIdlong
resumableboolean

When true, the applicant can save an incomplete application and resume it later. When false, the applicant won’t have an option to save their progress, and must complete the application in one session.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error